
"use client"
import { createStory, createSub } from "app/lib/create"
import { Dialog, DialogHeader, DialogTrigger, DialogContent, DialogClose, DialogTitle, DialogFooter, DialogDescription } from "@/components/ui/dialog";
import { Button } from "@/components/ui/button";
import { ComponentProps } from "react";
import { Genre, Pub, Story } from "@prisma/client";
import StoryForm from "app/ui/forms/story";
import SubmissionForm from "app/ui/forms/sub";
import { getPubs, getResponses, getStories } from "app/lib/get";


export default function CreateSubmissionDialog({ stories, pubs, responses }: ComponentProps<"div"> & { stories: Story[], pubs: Pub[], responses: Response[] }) {

  return (
    <Dialog>
      <DialogTrigger asChild>
        <Button>Create new Story</Button>
      </DialogTrigger>
      <DialogContent>
        <DialogHeader>
          <DialogTitle>New story</DialogTitle>
          <DialogDescription>Create an entry for a new story i.e. a thing you intend to submit for publication.</DialogDescription>
        </DialogHeader>
        <SubmissionForm createSub={createSub} pubs={pubs} responses={responses} stories={stories} />
        <DialogFooter>
          <Button form="subform">Submit</Button>
        </DialogFooter>

      </DialogContent>
    </Dialog>
  )
}
